# Generated by Django 5.0.2 on 2024-02-23 20:13

import django.db.models.deletion
import django_countries.fields
import django_currentuser.db.models.fields
import django_currentuser.middleware
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('type', models.CharField(choices=[('customer', 'Customer'), ('agency', 'Agency'), ('supplier', 'Supplier'), ('lead', 'Lead')], default='customer', max_length=16, verbose_name='Type')),
                ('logo', models.ImageField(blank=True, default='no-img.jpg', upload_to='accounts/logos/', verbose_name='Logo')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='Company name')),
                ('street', models.CharField(blank=True, max_length=64, verbose_name='Street')),
                ('housenumber', models.CharField(blank=True, max_length=16, verbose_name='Housenumber')),
                ('zip', models.CharField(blank=True, max_length=16, verbose_name='ZIP')),
                ('city', models.CharField(blank=True, max_length=64, verbose_name='City')),
                ('country', django_countries.fields.CountryField(blank=True, max_length=2, verbose_name='Country')),
                ('phone', models.CharField(blank=True, max_length=128, verbose_name='Phone')),
                ('email', models.EmailField(blank=True, max_length=128, verbose_name='E-Mail')),
                ('web', models.URLField(blank=True, max_length=128, verbose_name='Web')),
                ('notes', models.TextField(blank=True, verbose_name='Notes')),
                ('vat_number', models.CharField(blank=True, max_length=32, verbose_name='VAT Number')),
                ('created_by', django_currentuser.db.models.fields.CurrentUserField(blank=True, default=django_currentuser.middleware.get_current_authenticated_user, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='created by')),
                ('updated_by', django_currentuser.db.models.fields.CurrentUserField(default=django_currentuser.middleware.get_current_authenticated_user, null=True, on_delete=django.db.models.deletion.SET_NULL, on_update=True, related_name='%(app_label)s_%(class)s_updated_by', to=settings.AUTH_USER_MODEL, verbose_name='updated by')),
            ],
            options={
                'verbose_name': 'Company',
                'verbose_name_plural': 'Companies',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('salutation', models.CharField(choices=[('m', 'Male'), ('f', 'Female')], max_length=1, verbose_name='Salutation')),
                ('first_name', models.CharField(blank=True, max_length=64, verbose_name='First name')),
                ('last_name', models.CharField(blank=True, max_length=64, verbose_name='Last name')),
                ('phone', models.CharField(blank=True, max_length=128, null=True, verbose_name='Phone number')),
                ('email', models.EmailField(blank=True, max_length=128, null=True, verbose_name='email address')),
                ('company', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='contacts', to='milea_accounts.company')),
                ('created_by', django_currentuser.db.models.fields.CurrentUserField(blank=True, default=django_currentuser.middleware.get_current_authenticated_user, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='created by')),
                ('updated_by', django_currentuser.db.models.fields.CurrentUserField(default=django_currentuser.middleware.get_current_authenticated_user, null=True, on_delete=django.db.models.deletion.SET_NULL, on_update=True, related_name='%(app_label)s_%(class)s_updated_by', to=settings.AUTH_USER_MODEL, verbose_name='updated by')),
            ],
            options={
                'verbose_name': 'Contact',
                'verbose_name_plural': 'Contacts',
                'ordering': ['id'],
            },
        ),
    ]
